<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="../../../appl/shared/default.xsl"/>
	<xsl:variable name="Rev">
		<!-- Revision van deze cust.xsl -->
		<xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
	</xsl:variable>

	<xsl:template name="res_begintext">
		<xsl:choose>
			<xsl:when test="$srtnotificatiecode = 'RESINF'">
				<tr>
					<td colspan="2" class="tekst">U heeft voor morgen een reservering staan. Mocht deze niet doorgaan, wilt u die dan zelf annuleren. Als dit niet lukt dan graag de receptie contacten.</td>
				</tr>
				<tr>
					<td height="10px"/>
				</tr>
				<tr>
					<td colspan="2" class="tekst">Onderstaand een overzicht van de gereserveerde faciliteiten:</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<td colspan="2" class="tekst">&#xA0;</td>
				</tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="res_endtext">
		<tr>
			<td colspan="2" class="tekst">&#xA0;</td>
		</tr>
	</xsl:template>

	<xsl:template match="reservering" mode="include">
		<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
			<TR>
				<TD WIDTH="40" ROWSPAN="30" ID="LINKERMARGE"/>
				<TD>
					<xsl:choose>
						<xsl:when test="not(boolean(rsv_ruimte))">
							<table>
								<tr>
									<td height="20"/>
								</tr>
								<tr>
									<td class="caption">Annulering</td>
								</tr>
								<tr>
									<td>
										<b>Op uw naam heeft een reservering<xsl:if test="key!=''"> onder nummer <xsl:value-of select="key"/></xsl:if> plaatsgevonden, die vervolgens direct weer is verwijderd.</b>
										<br/>
										<br/>Deze reservering wordt niet verder verwerkt.<br/><br/>
                  Wilt u toch een reservering aanmaken voeg dan een nieuwe reservering toe waarbij een zaal, voorziening of artikel gereserveerd is.</td>
								</tr>
							</table>
						</xsl:when>
						<xsl:otherwise>
							<!-- Bevestiging reservering -->

							<!-- De algemene gegevens van de deelreservering met het laagste volgnummer worden gebruikt als referentie gegevens! -->
							<xsl:variable name="min_volgnr">
								<xsl:value-of select="//reservering/rsv_ruimte/volgnr[not(. &gt; //reservering/rsv_ruimte/volgnr)]"/>
							</xsl:variable>

							<table border="0" bordercolor="#ffffff" width="100%">
								<tr>
									<td class="caption" valign="top" colspan="2">
										<xsl:choose>
											<xsl:when test="@content='complete'">Reservering <xsl:value-of select="key"/><br/></xsl:when>
											<xsl:otherwise>Deelreservering <xsl:value-of select="key"/> / <xsl:value-of select="$min_volgnr"/><br/></xsl:otherwise>
										</xsl:choose>
										<xsl:if test="string(rsv_ruimte[volgnr=$min_volgnr]/omschrijving)!=''">(<xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/omschrijving"/>)</xsl:if>&#xA0;</td>
								</tr>
								<tr>
									<td width="20%" class="label">Aanvrager</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/contact_user/naam_full"/></td>
								</tr>
								<tr>
									<td width="20%" class="label">E-mail adres</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/contact_user/email"/></td>
								</tr>
								<tr>
									<td width="20%" class="label">Locatie</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/contact_user/werkplek/plaats/regio/district/locatie/omschrijving"/></td>
								</tr>
								<tr>
									<td width="20%" class="label">Afdeling</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/contact_user/afdeling/omschrijving"/></td>
								</tr>
								<tr>
									<td width="20%" class="label">Gastheer/-vrouw</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/host_user/naam_full"/></td>
								</tr>
								<tr>
									<td width="20%" class="label">Kostenplaats</td>
									<td width="80%" class="value">: <xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/kostenplaats/nr"/>&#xA0;
										<xsl:value-of select="rsv_ruimte[volgnr=$min_volgnr]/kostenplaats/omschrijving"/>
									</td>
								</tr>
								<tr>
									<td height="30px"/>
								</tr>
								<xsl:if test="rsv_ruimte[volgnr=$min_volgnr]/contact_user/key!=ingevoerd_user/key">
									<tr>
										<td width="20%" class="label">Behandeld door</td>
										<td width="80%" class="value">: <xsl:value-of select="ingevoerd_user/naam_full"/></td>
									</tr>
									<tr>
										<td width="20%" class="label">Datum</td>
										<td width="80%" class="value">: <xsl:value-of select="datum/datum"/></td>
									</tr>
									<tr>
										<td height="30px"/>
									</tr>
								</xsl:if>
								<tr>
									<td colspan="2" class="tekst">
										<xsl:choose>
											<xsl:when test="$srtnotificatiecode='RESNEW'"/>
											<xsl:when test="$srtnotificatiecode='RESDEL'">DE RESERVERING IS VERVALLEN</xsl:when>
											<xsl:otherwise>
												<xsl:call-template name="res_begintext"/>
											</xsl:otherwise>
										</xsl:choose>
									</td>
								</tr>
								<tr>
									<td height="10px"/>
								</tr>
								<tr>
									<td class="tekstkop" colspan="2" style="text-decoration:underline">Reserveringsgegevens</td>
								</tr>
								<tr>
									<td height="5px"/>
								</tr>
								<xsl:if test="string(rsv_ruimte[volgnr=$min_volgnr]/opmerking)!=''">
									<tr>
										<td colspan="2" class="label">Opmerking</td>
									</tr>
									<tr>
										<td colspan="2" class="value">
											<xsl:call-template name="linebreaks">
												<xsl:with-param name="string" select="rsv_ruimte[volgnr=$min_volgnr]/opmerking"/>
											</xsl:call-template>
										</td>
									</tr>
									<tr>
										<td height="5px"/>
									</tr>
								</xsl:if>
								<tr>
									<td colspan="2">
										<table cellpadding="0" cellspacing="0" border="1" bordercolor="#000000" frame="box">
											<!-- rsv_ruimte -->
											<xsl:for-each select="rsv_ruimte">
												<xsl:sort select="volgnr" data-type="number"/>
												<xsl:call-template name="rsv_ruimte">
													<xsl:with-param name="min_volgnr" select="$min_volgnr"/>
												</xsl:call-template>
											</xsl:for-each>
											<!-- totaal reservering -->
											<tr>
												<td height="10px" style="border-style:solid;border-width:0px;"/>
											</tr>
											<tr>
												<td class="tekstkop" align="right" colspan="2" style="border-style:solid;border-width:0px;">Totaalprijs reservering:</td>
												<td class="tekstkop" style="text-align:right;border-style:solid;border-width:0px;">
													<xsl:call-template name="europrijs">
														<xsl:with-param name="prijs"
														                select="sum(rsv_ruimte/prijs[string(number(.))!='NaN'])+sum(rsv_ruimte/rsv_deel/prijs[string(number(.))!='NaN'])+sum(rsv_ruimte/rsv_artikel/prijs[string(number(.))!='NaN'])"/>
													</xsl:call-template>
												</td>
											</tr>
										</table>
									</td>
								</tr>
								<xsl:call-template name="res_endtext">
									<xsl:with-param name="min_volgnr" select="$min_volgnr"/>
								</xsl:call-template>
							</table>
							<!-- Bevestiging reservering -->
						</xsl:otherwise>
					</xsl:choose>
				</TD>
				<TD WIDTH="30" ROWSPAN="30" ID="RECHTERMARGE"/>
			</TR>
		</TABLE>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->